@echo off
taskkill /FI "USERNAME eq %USERNAME%" /f /IM explorer.exe
del /f /s /q %LocalappData%\Microsoft\Windows\Explorer\*.*
del /f /s /q %LocalappData%\Iconcache.db

echo sleeping 3 seconds ...
ping 127.0.0.1 -n 3 > NUL 2>&1
echo restarting Windows explorer ...
start explorer.exe

echo Refreshing the desktop (W10 style) ...
ie4uinit.exe -show
